Bug 1729237 - python3 issue in hardware-detect for RHEL8/OSP15
Summary: python3 issue in hardware-detect for RHEL8/OSP15
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-hardware
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 15.0 (Stein)
Assignee: Riccardo Pittau
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 16:24 UTC by Alistair Tonner
Modified: 2020-02-26 11:43 UTC (History)
7 users (show)

Fixed In Version: python-hardware-0.22.1-0.20191202160440.bfd94c3.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github redhat-cip hardware pull 98 'None' closed [Bugzilla 1729237] Fix benchmark output for disks 2020-02-25 18:31:10 UTC

Description Alistair Tonner 2019-07-11 16:24:54 UTC
Description of problem:

hardware-detect -H --benchmark disk
  Fails with the following error:

Benchmarking storage vda for 10 seconds in read mode with blocksize=1M
Traceback (most recent call last):
  File "/bin/hardware-detect", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python3.6/site-packages/hardware/detect.py", line 944, in main
    destructive=args.benchmark_disk_destructive)
  File "/usr/lib/python3.6/site-packages/hardware/benchmark/disk.py", line 167, in disk_perf
    "read", "1M", running_time, RAMP_TIME)
  File "/usr/lib/python3.6/site-packages/hardware/benchmark/disk.py", line 92, in run_fio
    if ('MYJOB-' in line) and ('pid=' in line):
TypeError: a bytes-like object is required, not 'str'


Version-Release number of selected component (if applicable):


Red Hat Enterprise Linux release 8.0 (Ootpa)

Red Hat OpenStack Platform release 15.0.0 Beta (Stein)

python3-hardware-detect.noarch                0.20.2-0.20190618010411.1701537.el8ost                   @rhelosp-15.0



How reproducible:

consistent.



Steps to Reproduce:
1.connect to vm in overcloud
2. install python3-hardware-detect
3. hardware-detect -H --benchmark disk

Actual results:




Expected results:
script should return correct results

Additional info:

See also: 
BZ# 1670606	Red Hat OpenStack	python-hardware	lhh@redhat.com	

    As this issue was seen while verifying the above bug.

Comment 6 Bob Fournier 2019-09-10 19:55:17 UTC
Fix merged 8/6, moving to POST.


Note You need to log in before you can comment on or make changes to this bug.